<?php
// $Id$
/**
 * Callback function to supply a list of content types.
 */
function uc_panels_uc_add_to_cart_ctools_content_types() {
  return array(
    'single' => TRUE,
    'title' => t('Ubercart: Add to Cart Link(s)'),
    'icon' => 'icon_node.png',
    'description' => t('Render the form for Add to Cart button(s) for the related product or product kit node'),
    'required context' => new ctools_context_required(t('Ubercart Product'), 'uc'),
    'category' => t('Ubercart'),
  );
}

/**
 * Render the description
 */
function uc_panels_uc_add_to_cart_content_type_render($subtype, $conf, $panel_args, $context) {
  if (empty($context) || empty($context->data)) {
    return;
  }
  

  // Get a shortcut to the node.
  $node = $context->data;

  // Build the content type block.
  $block = new stdClass();
  $block->title = t('Add to Cart');
  $block->delta = $node->nid;

  if ($node->type == 'product_kit') {
    // render items of product kit
    $list_content = '';
    if ($node->mutable != UC_PRODUCT_KIT_UNMUTABLE_NO_LIST) {
      $i = 0;
      foreach ($node->products as $product) {
        $list_content .= '<div class="product-qty">'. theme('uc_product_kit_list_item', $product) .'</div>';
      }
    }
    // render add to cart form for product kits
    $form_content = theme('uc_product_kit_add_to_cart', $node);

    // render add to cart form for product kits
    $block->content = $list_content . $form_content;
  }
  else {
    // render add to cart form for products
    $block->content = theme('uc_product_add_to_cart', $node);
  }

  return $block;
}

/**
 * Edit form for the description content type.
 */
function uc_panels_uc_add_to_cart_content_type_edit_form(&$form, &$form_state) {
  // Empty form to ensure we have the override title + context gadgets.
}


/**
 * Returns the administrative title for a type.
 */
function uc_panels_uc_add_to_cart_content_type_admin_title($subtype, $conf, $context) {
  return t('Add to Cart Link(s)');
}