<?php
// $Id$
/**
 * Callback function to supply a list of content types.
 */
function uc_panels_uc_catalog_ctools_content_types() {
  return array(
    'single' => TRUE,
    'title' => t('Ubercart: Catalog'),
    'icon' => 'icon_node.png',
    'description' => t('Render the Catalog'),
    'category' => t('Ubercart'),
    'defaults' => array('uc_catalog_tid' => 0),
  );
}

/**
 * Render the description
 */
function uc_panels_uc_catalog_content_type_render($subtype, $conf, $panel_args, $context) {
  // Build the content type block.
  $block = new stdClass();
  $block->title   = t('Catalog');
  $block->content = '<div class="uc-panels-uc-catalog-browse">' . theme('uc_catalog_browse', $conf['uc_catalog_tid']) .'</div>';
  $block->delta   = $node->nid;
  return $block;
}


/**
 * Edit form for the description content type.
 */
function uc_panels_uc_catalog_content_type_edit_form(&$form, &$form_state) {
  // The current configuration
  $conf = $form_state['conf'];
  
  $options = array(0 => t('All'));
  $vid = variable_get('uc_catalog_vid', FALSE);
  if ($vid) {
    $terms = taxonomy_get_tree($vid);
    if (is_array($terms) && count($terms)) {
      foreach ($terms as $term) {
        $options[$term->tid] = str_repeat('-', $term->depth) . check_plain($term->name);
      }
    }
  }
    
  $form['uc_catalog_tid'] = array(
    '#type' => 'select',
    '#title' => t('Catalog term'),
    '#description' => t('Only the products of the selected term will be shown.'),
    '#default_value' => $conf['uc_catalog_tid'],
    '#options' => $options,
  );
}

/**
 * Edit form for the description content type.
 */
function uc_panels_uc_catalog_content_type_edit_form_submit(&$form, &$form_state) {
  // copy the value from the form into the array of items to be saved.
  foreach (array_keys($form_state['plugin']['defaults']) as $key) {
    $form_state['conf'][$key] = $form_state['values'][$key];
  }
}


/**
 * Returns the administrative title for a type.
 */
function uc_panels_uc_catalog_content_type_admin_title($subtype, $conf, $context) {
  return t('Catalog');
}
