<?php
// $Id$
/**
 * Callback function to supply a list of content types.
 */
function uc_panels_uc_catalog_breadcrumb_ctools_content_types() {
  return array(
    'single' => TRUE,
    'title' => t('Ubercart: Catalog Breadcrumb'),
    'icon' => 'icon_node.png',
    'description' => t('Render the Catalog Breadcrumb for the related product node'),
    'required context' => new ctools_context_required(t('Ubercart Product'), 'uc'),
    'category' => t('Ubercart'),
  );
}

/**
 * Render the description
 */
function uc_panels_uc_catalog_breadcrumb_content_type_render($subtype, $conf, $panel_args, $context) {
  if (empty($context) || empty($context->data)) {
    return;
  }

  // Get a shortcut to the node.
  $node = $context->data;
  
  $crumbs = array();
  if (!_uc_catalog_is_frontpage()) {
    $crumbs[] = l(t('Home'), '');
  }
  $terms = taxonomy_node_get_terms_by_vocabulary($node, variable_get('uc_catalog_vid', 0));
  if (count($terms)) {
    $crumbs[] = l(variable_get('uc_catalog_name', t('Catalog')), 'catalog');
    $used_tids = array();
    foreach ($terms as $term) {
      if (!isset($parents[$term->tid])) {
        $parents[$term->tid] = taxonomy_get_parents_all($term->tid);
      }
      foreach (array_reverse($parents[$term->tid]) as $parent) {
        if (!in_array($parent->tid, $used_tids)) {
          $crumbs[] = l($parent->name, uc_catalog_path($parent));
          $used_tids[] = $parent->tid;
        }
      }
    }
  }
  // Build the content type block.
  $block = new stdClass();
  $block->title   = t('Catalog Breadcrumb');
  $block->content = '<div class="uc-panels-uc-catalog-breadcrumb">' . theme('breadcrumb', $crumbs) .'</div>';
  $block->delta   = $node->nid;
  return $block;
}

/**
 * Edit form for the description content type.
 */
function uc_panels_uc_catalog_breadcrumb_content_type_edit_form(&$form, &$form_state) {
  // Empty form to ensure we have the override title + context gadgets.
}


/**
 * Returns the administrative title for a type.
 */
function uc_panels_uc_catalog_breadcrumb_content_type_admin_title($subtype, $conf, $context) {
  return t('Catalog Breadcrumb');
}