<?php
// $Id$
/**
 * Callback function to supply a list of content types.
 */
function uc_panels_uc_image_ctools_content_types() {
  return array(
    'single' => TRUE,
    'title' => t('Ubercart: Product Image'),
    'icon' => 'icon_node.png',
    'description' => t('Render the product image for the related product node'),
    'required context' => new ctools_context_required(t('Ubercart Product'), 'uc'),
    'category' => t('Ubercart'),
  );
}

/**
 * Render the description
 */
function uc_panels_uc_image_content_type_render($subtype, $conf, $panel_args, $context) {
  if (empty($context) || empty($context->data)) {
    return;
  }
  

  // Get a shortcut to the node.
  $node = $context->data;
  
  // Build the content type block.
  $block = new stdClass();
  $block->title   = t('Product Image');
  if (module_exists('imagecache') && ($field = variable_get('uc_image_'. $node->type, '')) && isset($node->$field) && file_exists($node->{$field}[0]['filepath'])) {
    $block->content = theme('uc_product_image', $node->$field);
  }
  else {
    $block->content = '';
  }
  $block->delta   = $node->nid;

  return $block;
}

/**
 * Edit form for the description content type.
 */
function uc_panels_uc_image_content_type_edit_form(&$form, &$form_state) {
  // Empty form to ensure we have the override title + context gadgets.
}


/**
 * Returns the administrative title for a type.
 */
function uc_panels_uc_image_content_type_admin_title($subtype, $conf, $context) {
  return t('Product Image');
}