<?php
// $Id$
/**
 * Callback function to supply a list of content types.
 */
function uc_panels_uc_weight_ctools_content_types() {
  return array(
    'single' => TRUE,
    'title' => t('Ubercart: Product Weight'),
    'icon' => 'icon_node.png',
    'description' => t('Render the weight for the related product node'),
    'required context' => new ctools_context_required(t('Ubercart Product'), 'uc'),
    'category' => t('Ubercart'),
  );
}

/**
 * Render the description
 */
function uc_panels_uc_weight_content_type_render($subtype, $conf, $panel_args, $context) {
  if (empty($context) || empty($context->data)) {
    return;
  }
  

  // Get a shortcut to the node.
  $node = $context->data;
  
  $context = array(
    'revision' => 'themed',
    'type' => 'product',
    'class' => array(
      'product',
    ),
    'subject' => array(
      'node' => $node,
    ),
  );
  $uc_context['class'][1] = 'display';
  
  // Build the content type block.
  $block = new stdClass();
  $block->title   = t('Weight');
  $block->content = theme('uc_product_weight', $node->weight, $node->units, $uc_context);
  $block->delta   = $node->nid;

  return $block;
}

/**
 * Edit form for the description content type.
 */
function uc_panels_uc_weight_content_type_edit_form(&$form, &$form_state) {
  // Empty form to ensure we have the override title + context gadgets.
}


/**
 * Returns the administrative title for a type.
 */
function uc_panels_uc_weight_content_type_admin_title($subtype, $conf, $context) {
  return t('Weight');
}
